<?php

namespace Blog\Model;

use PDOException;

class TicketModel extends Database {

    public function buyTicket($values) {
        $sql = "INSERT INTO ticket (`userId`, `eventId`, `kaufdatum`, `gueltigkeitsdatum`) VALUES (
            :userId, :eventId, :kaufdatum, :gueltigkeitsdatum);";

        $pdo = $this->linkDB();
        $params = array(
            ":userId" => $values['userId'],
            ":eventId" => $values['eventId'],
            ":kaufdatum" => $values['kaufdatum'],
            ":gueltigkeitsdatum" => $values['gueltigkeitsdatum']
        );

        try {
            $sth = $pdo->prepare($sql);
            $sth->execute($params);
        } catch (PDOException $e) {
            new \Blog\Library\ErrorMsg("Fehler beim Schreiben der Daten.", $e);
            die;
        }

        return true;
    }
}